=== debian/changelog ===
linux-backports-modules-2.6.32 (2.6.32-21.11) lucid; urgency=low

  * Lucid ABI 21

 -- Andy Whitcroft <apw@canonical.com>  Wed, 14 Apr 2010 08:58:18 +0100

linux-backports-modules-2.6.32 (2.6.32-20.10) lucid; urgency=low

  * Lucid ABI 20

 -- Andy Whitcroft <apw@canonical.com>  Sat, 10 Apr 2010 10:49:33 +0100

linux-backports-modules-2.6.32 (2.6.32-19.9) lucid; urgency=low

  * Lucid ABI 19

 -- Andy Whitcroft <apw@canonical.com>  Thu, 01 Apr 2010 08:50:32 +0100

linux-backports-modules-2.6.32 (2.6.32-18.8) lucid; urgency=low

  [ Stefan Bader ]

  * Bumping ABI to 18 to match kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 26 Mar 2010 19:08:32 +0100

linux-backports-modules-2.6.32 (2.6.32-16.7) lucid; urgency=low

  [ Tim Gardner ]

  * Added preempt flavour
    - LP: #527459
  * udev looks for firmware in /lib/firmware/updates/`uname -r` first.
    This allows the installation of compat firmware without having to
    change files names.
  * compat wireless has its own compat firmware class driver
    This requires a new script and udev rule. Fixes firmware
    load problems since 2.6.32-15.5.

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 08 Mar 2010 12:07:39 -0700

linux-backports-modules-2.6.32 (2.6.32-16.6) lucid; urgency=low

  [ Andy Whitcroft ]

  * Lucid ABI 16
  * nouveau -- make the nouveau package an optional build
  * nouveau -- disable generation of nouveau
  * nouveau -- drop the redundant nouveau source

  [ Tim Gardner ]

  * Added iwlwifi 6000 series firmware
  * udev expects firmware in /lib/firmware/updates/`uname -r`

 -- Andy Whitcroft <apw@canonical.com>  Mon, 08 Mar 2010 08:59:41 +0000

linux-backports-modules-2.6.32 (2.6.32-15.5) lucid; urgency=low

  [ Andy Whitcroft ]

  * Update to compat-wireless-2.6.33
  * Lucid ABI 15
  * update to debhelper v5

 -- Andy Whitcroft <apw@canonical.com>  Tue, 02 Mar 2010 10:45:23 +0000

linux-backports-modules-2.6.32 (2.6.32-14.4) lucid; urgency=low

  [ Andy Whitcroft ]

  * UPDATE_NOUVEAU -- add support for dropping patches on top
  * update Nouveau to v2.6.33

  [ Christopher James Halse Rogers ]

  * fix legacy paths in UPDATE_NOUVEAU
  * pull in ctxprog voodoo from Nouveau upstream
    - LP: #528190
  * update Nouveau package description to mention lbm-nouveau metapackage
  * update VCS-Git field to point to lucid lbm

  [ Upstream Kernel Changes ]

  * drm/nv50: Implement ctxprog/state generation.
  * drm/nv50: Remove redundant/incorrect ctxvals initialisation.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 26 Feb 2010 19:06:43 +0000

linux-backports-modules-2.6.32 (2.6.32-14.3) lucid; urgency=low

  [ Andy Whitcroft ]

  * Lucid ABI 14

 -- Andy Whitcroft <apw@canonical.com>  Sat, 20 Feb 2010 13:08:41 +0000

linux-backports-modules-2.6.32 (2.6.32-13.2) lucid; urgency=low

  [ Andy Whitcroft ]

  * fix startnewrelease to use DEBEMAIL/DEBFULLNAME
  * update Nouveau to v2.6.32-rc7
  * record Nouveau source in BOM

 -- Andy Whitcroft <apw@canonical.com>  Thu, 11 Feb 2010 09:37:53 +0000

linux-backports-modules-2.6.32 (2.6.32-12.1) lucid; urgency=low

  [ Andy Whitcroft ]

  * initial LBM for lucid
  * drop generated files
  * printchanges -- rebase tree does not have stable tags use changelog
  * printenv -- add revisions to printenv output
  * formally rename compat-wireless to linux-backports-modules-wireless
  * Update to compat-wireless-2.6.33-rc5
  * update nouveau to mainline 2.6.33-rc4
  * add new LBM package for nouveau
  * nouveau -- fix major numbers and proc entry names
  * fix up firmware installs for -wireless
  * clean up UPDATE-NOVEAU
  * update Nouveau to v2.6.33-rc6

 -- Andy Whitcroft <apw@canonical.com>  Thu, 04 Feb 2010 23:15:51 +0000

linux-backports-modules-2.6.31 (2.6.31-18.20) karmic-proposed; urgency=low

  [ Stefan Bader ]

  * Bump ABI to 18 for proposed kernel

  [ Tim Gardner ]

  * compat-wireless: update to 2.6.32.2
    - LP: #503825
  * Update to ALSA 1.0.22
    - LP: #503829
  * Update ALSA to 1.0.22.1
    - LP: #503829

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 06 Jan 2010 16:01:42 +0100

linux-backports-modules-2.6.31 (2.6.31-17.19) karmic-proposed; urgency=low

  [ Stefan Bader ]

  * Bump ABI fo proposed kernel

  [ Tim Gardner ]

  * Update to compat-wireless-2.6.32-rc6
    - LP: #481525
  * Update to compat-wireless-2.6.32-rc7
    - LP: #481525

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 02 Dec 2009 18:28:49 +0100

linux-backports-modules-2.6.31 (2.6.31-16.18) karmic-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -16 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 30 Nov 2009 22:01:59 -0800

linux-backports-modules-2.6.31 (2.6.31-15.17) karmic-proposed; urgency=low

  [Stefan Bader]

  * Bump the ABI for proposed upload

 -- Stefan Bader <stefan.bader@canonical.com>  Sat, 31 Oct 2009 01:30:20 +0000

linux-backports-modules-2.6.31 (2.6.31-14.16) karmic; urgency=low

  [ Colin Watson ]

  * Clean up sections in linux-backports-modules

  [ Tim Gardner ]

  * Added alsa-driver snapshot from Oct 12, 2009
    This creates linux-backports-modules-alsa-* as a binary package.
    The standard linux-backports-modules-* packages, though perhaps
    misnamed, still contain compat-wireless.
  * Update to stable compat-wireless-2.6.32-rc4
    compat-wireless is no longer based on wireless-testing, rather it
    is based on a stable upstream release.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 14 Oct 2009 09:42:00 -0600

linux-backports-modules-2.6.31 (2.6.31-13.15) karmic; urgency=low

  [ Tim Gardner ]

  * Update wireless-testing to master-2009-10-08
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 09 Oct 2009 06:15:01 -0600

linux-backports-modules-2.6.31 (2.6.31-12.14) karmic; urgency=low

  [ Tim Gardner ]

  * Update from wireless-testing master-2009-09-30
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Oct 2009 13:31:57 -0600


