## linux-backports-modules-2.6.32 2.6.32-22.13

=== debian/changelog ===
linux-backports-modules-2.6.32 (2.6.32-22.13) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Make compat wireless udev glue unique by ABI
    - LP: #568782

 -- Andy Whitcroft <apw@canonical.com>  Thu, 29 Apr 2010 17:22:35 +0100

linux-backports-modules-2.6.32 (2.6.32-22.12) lucid-proposed; urgency=low

  [ Andy Whitcroft ]

  * Lucid ABI 22

 -- Andy Whitcroft <apw@canonical.com>  Wed, 28 Apr 2010 15:32:31 +0100
